package binders

// |@@| C

import (
	"context"
	"gardening/src/dat/maes"
	"github.com/gin-gonic/gin"
)

type InstructPlannerAppBinder struct {
}

func (this *InstructPlannerAppBinder) Bind(ctx context.Context, in *maes.InstructPlannerMaeIn, c *gin.Context) error {
	this.bindRequest(ctx, in, c)
	return nil
}
func (this *InstructPlannerAppBinder) bindRequestForm(ctx context.Context, in *maes.InstructPlannerMaeIn, c *gin.Context) error {
	return nil
}
func (this *InstructPlannerAppBinder) bindRequest(ctx context.Context, in *maes.InstructPlannerMaeIn, c *gin.Context) error {
	this.bindRequestForm(ctx, in, c)
	return nil
}
